Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSS2Properties

public interface CSS2Properties

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration`. The attributes of this interface correspond to all the properties specified in CSS2. Getting an attribute of this interface is equivalent to calling the `getPropertyValue` method of the `CSSStyleDeclaration` interface. Setting an attribute of this interface is equivalent to calling the `setProperty` method of the `CSSStyleDeclaration` interface.

A conformant implementation of the CSS module is not required to implement the `CSS2Properties` interface. If an implementation does implement this interface, the expectation is that language-specific methods can be used to cast from an instance of the `CSSStyleDeclaration` interface to the `CSS2Properties` interface.

If an implementation does implement this interface, it is expected to understand the specific syntax of the shorthand properties, and apply their semantics; when the `margin` property is set, for example, the `marginTop`, `marginRight`, `marginBottom` and `marginLeft` properties are actually being set by the underlying implementation.

When dealing with CSS "shorthand" properties, the shorthand properties should be decomposed into their component longhand properties as appropriate, and when querying for their value, the form returned should be the shortest form exactly equivalent to the declarations made in the ruleset. However, if there is no shorthand declaration that could be added to the ruleset without changing in any way the rules already declared in the ruleset (i.e., by adding longhand rules that were previously not declared in the ruleset), then the empty string should be returned for the shorthand property.

For example, querying for the `font` property should not return "normal normal normal 14pt/normal Arial, sans-serif", when "14pt Arial, sans-serif" suffices. (The normals are initial values, and are implied by use of the longhand property.)

If the values for all the longhand properties that compose a particular string are the initial values, then a string consisting of all the initial values should be returned (e.g. a `border-width` value of "medium" should be returned as such, not as "").

For some shorthand properties that take missing values from other sides, such as the `margin`, `padding`, and `border-[width|style|color]` properties, the minimum number of sides possible should be used; i.e., "0px 10px" will be returned instead of "0px 10px 0px 10px".

If the value of a shorthand property can not be decomposed into its component longhand properties, as is the case for the `font` property with a value of "menu", querying for the values of the component longhand properties should return the empty string.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`java.lang.String` | `getAzimuth()` See the azimuth property definition in CSS2.
`java.lang.String` | `getBackground()` See the background property definition in CSS2.
`java.lang.String` | `getBackgroundAttachment()` See the background-attachment property definition in CSS2.
`java.lang.String` | `getBackgroundColor()` See the background-color property definition in CSS2.
`java.lang.String` | `getBackgroundImage()` See the background-image property definition in CSS2.
`java.lang.String` | `getBackgroundPosition()` See the background-position property definition in CSS2.
`java.lang.String` | `getBackgroundRepeat()` See the background-repeat property definition in CSS2.
`java.lang.String` | `getBorder()` See the border property definition in CSS2.
`java.lang.String` | `getBorderBottom()` See the border-bottom property definition in CSS2.
`java.lang.String` | `getBorderBottomColor()` See the border-bottom-color property definition in CSS2.
`java.lang.String` | `getBorderBottomStyle()` See the border-bottom-style property definition in CSS2.
`java.lang.String` | `getBorderBottomWidth()` See the border-bottom-width property definition in CSS2.
`java.lang.String` | `getBorderCollapse()` See the border-collapse property definition in CSS2.
`java.lang.String` | `getBorderColor()` See the border-color property definition in CSS2.
`java.lang.String` | `getBorderLeft()` See the border-left property definition in CSS2.
`java.lang.String` | `getBorderLeftColor()` See the border-left-color property definition in CSS2.
`java.lang.String` | `getBorderLeftStyle()` See the border-left-style property definition in CSS2.
`java.lang.String` | `getBorderLeftWidth()` See the border-left-width property definition in CSS2.
`java.lang.String` | `getBorderRight()` See the border-right property definition in CSS2.
`java.lang.String` | `getBorderRightColor()` See the border-right-color property definition in CSS2.
`java.lang.String` | `getBorderRightStyle()` See the border-right-style property definition in CSS2.
`java.lang.String` | `getBorderRightWidth()` See the border-right-width property definition in CSS2.
`java.lang.String` | `getBorderSpacing()` See the border-spacing property definition in CSS2.
`java.lang.String` | `getBorderStyle()` See the border-style property definition in CSS2.
`java.lang.String` | `getBorderTop()` See the border-top property definition in CSS2.
`java.lang.String` | `getBorderTopColor()` See the border-top-color property definition in CSS2.
`java.lang.String` | `getBorderTopStyle()` See the border-top-style property definition in CSS2.
`java.lang.String` | `getBorderTopWidth()` See the border-top-width property definition in CSS2.
`java.lang.String` | `getBorderWidth()` See the border-width property definition in CSS2.
`java.lang.String` | `getBottom()` See the bottom property definition in CSS2.
`java.lang.String` | `getCaptionSide()` See the caption-side property definition in CSS2.
`java.lang.String` | `getClear()` See the clear property definition in CSS2.
`java.lang.String` | `getClip()` See the clip property definition in CSS2.
`java.lang.String` | `getColor()` See the color property definition in CSS2.
`java.lang.String` | `getContent()` See the content property definition in CSS2.
`java.lang.String` | `getCounterIncrement()` See the counter-increment property definition in CSS2.
`java.lang.String` | `getCounterReset()` See the counter-reset property definition in CSS2.
`java.lang.String` | `getCssFloat()` See the float property definition in CSS2.
`java.lang.String` | `getCue()` See the cue property definition in CSS2.
`java.lang.String` | `getCueAfter()` See the cue-after property definition in CSS2.
`java.lang.String` | `getCueBefore()` See the cue-before property definition in CSS2.
`java.lang.String` | `getCursor()` See the cursor property definition in CSS2.
`java.lang.String` | `getDirection()` See the direction property definition in CSS2.
`java.lang.String` | `getDisplay()` See the display property definition in CSS2.
`java.lang.String` | `getElevation()` See the elevation property definition in CSS2.
`java.lang.String` | `getEmptyCells()` See the empty-cells property definition in CSS2.
`java.lang.String` | `getFont()` See the font property definition in CSS2.
`java.lang.String` | `getFontFamily()` See the font-family property definition in CSS2.
`java.lang.String` | `getFontSize()` See the font-size property definition in CSS2.
`java.lang.String` | `getFontSizeAdjust()` See the font-size-adjust property definition in CSS2.
`java.lang.String` | `getFontStretch()` See the font-stretch property definition in CSS2.
`java.lang.String` | `getFontStyle()` See the font-style property definition in CSS2.
`java.lang.String` | `getFontVariant()` See the font-variant property definition in CSS2.
`java.lang.String` | `getFontWeight()` See the font-weight property definition in CSS2.
`java.lang.String` | `getHeight()` See the height property definition in CSS2.
`java.lang.String` | `getLeft()` See the left property definition in CSS2.
`java.lang.String` | `getLetterSpacing()` See the letter-spacing property definition in CSS2.
`java.lang.String` | `getLineHeight()` See the line-height property definition in CSS2.
`java.lang.String` | `getListStyle()` See the list-style property definition in CSS2.
`java.lang.String` | `getListStyleImage()` See the list-style-image property definition in CSS2.
`java.lang.String` | `getListStylePosition()` See the list-style-position property definition in CSS2.
`java.lang.String` | `getListStyleType()` See the list-style-type property definition in CSS2.
`java.lang.String` | `getMargin()` See the margin property definition in CSS2.
`java.lang.String` | `getMarginBottom()` See the margin-bottom property definition in CSS2.
`java.lang.String` | `getMarginLeft()` See the margin-left property definition in CSS2.
`java.lang.String` | `getMarginRight()` See the margin-right property definition in CSS2.
`java.lang.String` | `getMarginTop()` See the margin-top property definition in CSS2.
`java.lang.String` | `getMarkerOffset()` See the marker-offset property definition in CSS2.
`java.lang.String` | `getMarks()` See the marks property definition in CSS2.
`java.lang.String` | `getMaxHeight()` See the max-height property definition in CSS2.
`java.lang.String` | `getMaxWidth()` See the max-width property definition in CSS2.
`java.lang.String` | `getMinHeight()` See the min-height property definition in CSS2.
`java.lang.String` | `getMinWidth()` See the min-width property definition in CSS2.
`java.lang.String` | `getOrphans()` See the orphans property definition in CSS2.
`java.lang.String` | `getOutline()` See the outline property definition in CSS2.
`java.lang.String` | `getOutlineColor()` See the outline-color property definition in CSS2.
`java.lang.String` | `getOutlineStyle()` See the outline-style property definition in CSS2.
`java.lang.String` | `getOutlineWidth()` See the outline-width property definition in CSS2.
`java.lang.String` | `getOverflow()` See the overflow property definition in CSS2.
`java.lang.String` | `getPadding()` See the padding property definition in CSS2.
`java.lang.String` | `getPaddingBottom()` See the padding-bottom property definition in CSS2.
`java.lang.String` | `getPaddingLeft()` See the padding-left property definition in CSS2.
`java.lang.String` | `getPaddingRight()` See the padding-right property definition in CSS2.
`java.lang.String` | `getPaddingTop()` See the padding-top property definition in CSS2.
`java.lang.String` | `getPage()` See the page property definition in CSS2.
`java.lang.String` | `getPageBreakAfter()` See the page-break-after property definition in CSS2.
`java.lang.String` | `getPageBreakBefore()` See the page-break-before property definition in CSS2.
`java.lang.String` | `getPageBreakInside()` See the page-break-inside property definition in CSS2.
`java.lang.String` | `getPause()` See the pause property definition in CSS2.
`java.lang.String` | `getPauseAfter()` See the pause-after property definition in CSS2.
`java.lang.String` | `getPauseBefore()` See the pause-before property definition in CSS2.
`java.lang.String` | `getPitch()` See the pitch property definition in CSS2.
`java.lang.String` | `getPitchRange()` See the pitch-range property definition in CSS2.
`java.lang.String` | `getPlayDuring()` See the play-during property definition in CSS2.
`java.lang.String` | `getPosition()` See the position property definition in CSS2.
`java.lang.String` | `getQuotes()` See the quotes property definition in CSS2.
`java.lang.String` | `getRichness()` See the richness property definition in CSS2.
`java.lang.String` | `getRight()` See the right property definition in CSS2.
`java.lang.String` | `getSize()` See the size property definition in CSS2.
`java.lang.String` | `getSpeak()` See the speak property definition in CSS2.
`java.lang.String` | `getSpeakHeader()` See the speak-header property definition in CSS2.
`java.lang.String` | `getSpeakNumeral()` See the speak-numeral property definition in CSS2.
`java.lang.String` | `getSpeakPunctuation()` See the speak-punctuation property definition in CSS2.
`java.lang.String` | `getSpeechRate()` See the speech-rate property definition in CSS2.
`java.lang.String` | `getStress()` See the stress property definition in CSS2.
`java.lang.String` | `getTableLayout()` See the table-layout property definition in CSS2.
`java.lang.String` | `getTextAlign()` See the text-align property definition in CSS2.
`java.lang.String` | `getTextDecoration()` See the text-decoration property definition in CSS2.
`java.lang.String` | `getTextIndent()` See the text-indent property definition in CSS2.
`java.lang.String` | `getTextShadow()` See the text-shadow property definition in CSS2.
`java.lang.String` | `getTextTransform()` See the text-transform property definition in CSS2.
`java.lang.String` | `getTop()` See the top property definition in CSS2.
`java.lang.String` | `getUnicodeBidi()` See the unicode-bidi property definition in CSS2.
`java.lang.String` | `getVerticalAlign()` See the vertical-align property definition in CSS2.
`java.lang.String` | `getVisibility()` See the visibility property definition in CSS2.
`java.lang.String` | `getVoiceFamily()` See the voice-family property definition in CSS2.
`java.lang.String` | `getVolume()` See the volume property definition in CSS2.
`java.lang.String` | `getWhiteSpace()` See the white-space property definition in CSS2.
`java.lang.String` | `getWidows()` See the widows property definition in CSS2.
`java.lang.String` | `getWidth()` See the width property definition in CSS2.
`java.lang.String` | `getWordSpacing()` See the word-spacing property definition in CSS2.
`java.lang.String` | `getZIndex()` See the z-index property definition in CSS2.
`void` | `setAzimuth(java.lang.String azimuth)` See the azimuth property definition in CSS2.
`void` | `setBackground(java.lang.String background)` See the background property definition in CSS2.
`void` | `setBackgroundAttachment(java.lang.String backgroundAttachment)` See the background-attachment property definition in CSS2.
`void` | `setBackgroundColor(java.lang.String backgroundColor)` See the background-color property definition in CSS2.
`void` | `setBackgroundImage(java.lang.String backgroundImage)` See the background-image property definition in CSS2.
`void` | `setBackgroundPosition(java.lang.String backgroundPosition)` See the background-position property definition in CSS2.
`void` | `setBackgroundRepeat(java.lang.String backgroundRepeat)` See the background-repeat property definition in CSS2.
`void` | `setBorder(java.lang.String border)` See the border property definition in CSS2.
`void` | `setBorderBottom(java.lang.String borderBottom)` See the border-bottom property definition in CSS2.
`void` | `setBorderBottomColor(java.lang.String borderBottomColor)` See the border-bottom-color property definition in CSS2.
`void` | `setBorderBottomStyle(java.lang.String borderBottomStyle)` See the border-bottom-style property definition in CSS2.
`void` | `setBorderBottomWidth(java.lang.String borderBottomWidth)` See the border-bottom-width property definition in CSS2.
`void` | `setBorderCollapse(java.lang.String borderCollapse)` See the border-collapse property definition in CSS2.
`void` | `setBorderColor(java.lang.String borderColor)` See the border-color property definition in CSS2.
`void` | `setBorderLeft(java.lang.String borderLeft)` See the border-left property definition in CSS2.
`void` | `setBorderLeftColor(java.lang.String borderLeftColor)` See the border-left-color property definition in CSS2.
`void` | `setBorderLeftStyle(java.lang.String borderLeftStyle)` See the border-left-style property definition in CSS2.
`void` | `setBorderLeftWidth(java.lang.String borderLeftWidth)` See the border-left-width property definition in CSS2.
`void` | `setBorderRight(java.lang.String borderRight)` See the border-right property definition in CSS2.
`void` | `setBorderRightColor(java.lang.String borderRightColor)` See the border-right-color property definition in CSS2.
`void` | `setBorderRightStyle(java.lang.String borderRightStyle)` See the border-right-style property definition in CSS2.
`void` | `setBorderRightWidth(java.lang.String borderRightWidth)` See the border-right-width property definition in CSS2.
`void` | `setBorderSpacing(java.lang.String borderSpacing)` See the border-spacing property definition in CSS2.
`void` | `setBorderStyle(java.lang.String borderStyle)` See the border-style property definition in CSS2.
`void` | `setBorderTop(java.lang.String borderTop)` See the border-top property definition in CSS2.
`void` | `setBorderTopColor(java.lang.String borderTopColor)` See the border-top-color property definition in CSS2.
`void` | `setBorderTopStyle(java.lang.String borderTopStyle)` See the border-top-style property definition in CSS2.
`void` | `setBorderTopWidth(java.lang.String borderTopWidth)` See the border-top-width property definition in CSS2.
`void` | `setBorderWidth(java.lang.String borderWidth)` See the border-width property definition in CSS2.
`void` | `setBottom(java.lang.String bottom)` See the bottom property definition in CSS2.
`void` | `setCaptionSide(java.lang.String captionSide)` See the caption-side property definition in CSS2.
`void` | `setClear(java.lang.String clear)` See the clear property definition in CSS2.
`void` | `setClip(java.lang.String clip)` See the clip property definition in CSS2.
`void` | `setColor(java.lang.String color)` See the color property definition in CSS2.
`void` | `setContent(java.lang.String content)` See the content property definition in CSS2.
`void` | `setCounterIncrement(java.lang.String counterIncrement)` See the counter-increment property definition in CSS2.
`void` | `setCounterReset(java.lang.String counterReset)` See the counter-reset property definition in CSS2.
`void` | `setCssFloat(java.lang.String cssFloat)` See the float property definition in CSS2.
`void` | `setCue(java.lang.String cue)` See the cue property definition in CSS2.
`void` | `setCueAfter(java.lang.String cueAfter)` See the cue-after property definition in CSS2.
`void` | `setCueBefore(java.lang.String cueBefore)` See the cue-before property definition in CSS2.
`void` | `setCursor(java.lang.String cursor)` See the cursor property definition in CSS2.
`void` | `setDirection(java.lang.String direction)` See the direction property definition in CSS2.
`void` | `setDisplay(java.lang.String display)` See the display property definition in CSS2.
`void` | `setElevation(java.lang.String elevation)` See the elevation property definition in CSS2.
`void` | `setEmptyCells(java.lang.String emptyCells)` See the empty-cells property definition in CSS2.
`void` | `setFont(java.lang.String font)` See the font property definition in CSS2.
`void` | `setFontFamily(java.lang.String fontFamily)` See the font-family property definition in CSS2.
`void` | `setFontSize(java.lang.String fontSize)` See the font-size property definition in CSS2.
`void` | `setFontSizeAdjust(java.lang.String fontSizeAdjust)` See the font-size-adjust property definition in CSS2.
`void` | `setFontStretch(java.lang.String fontStretch)` See the font-stretch property definition in CSS2.
`void` | `setFontStyle(java.lang.String fontStyle)` See the font-style property definition in CSS2.
`void` | `setFontVariant(java.lang.String fontVariant)` See the font-variant property definition in CSS2.
`void` | `setFontWeight(java.lang.String fontWeight)` See the font-weight property definition in CSS2.
`void` | `setHeight(java.lang.String height)` See the height property definition in CSS2.
`void` | `setLeft(java.lang.String left)` See the left property definition in CSS2.
`void` | `setLetterSpacing(java.lang.String letterSpacing)` See the letter-spacing property definition in CSS2.
`void` | `setLineHeight(java.lang.String lineHeight)` See the line-height property definition in CSS2.
`void` | `setListStyle(java.lang.String listStyle)` See the list-style property definition in CSS2.
`void` | `setListStyleImage(java.lang.String listStyleImage)` See the list-style-image property definition in CSS2.
`void` | `setListStylePosition(java.lang.String listStylePosition)` See the list-style-position property definition in CSS2.
`void` | `setListStyleType(java.lang.String listStyleType)` See the list-style-type property definition in CSS2.
`void` | `setMargin(java.lang.String margin)` See the margin property definition in CSS2.
`void` | `setMarginBottom(java.lang.String marginBottom)` See the margin-bottom property definition in CSS2.
`void` | `setMarginLeft(java.lang.String marginLeft)` See the margin-left property definition in CSS2.
`void` | `setMarginRight(java.lang.String marginRight)` See the margin-right property definition in CSS2.
`void` | `setMarginTop(java.lang.String marginTop)` See the margin-top property definition in CSS2.
`void` | `setMarkerOffset(java.lang.String markerOffset)` See the marker-offset property definition in CSS2.
`void` | `setMarks(java.lang.String marks)` See the marks property definition in CSS2.
`void` | `setMaxHeight(java.lang.String maxHeight)` See the max-height property definition in CSS2.
`void` | `setMaxWidth(java.lang.String maxWidth)` See the max-width property definition in CSS2.
`void` | `setMinHeight(java.lang.String minHeight)` See the min-height property definition in CSS2.
`void` | `setMinWidth(java.lang.String minWidth)` See the min-width property definition in CSS2.
`void` | `setOrphans(java.lang.String orphans)` See the orphans property definition in CSS2.
`void` | `setOutline(java.lang.String outline)` See the outline property definition in CSS2.
`void` | `setOutlineColor(java.lang.String outlineColor)` See the outline-color property definition in CSS2.
`void` | `setOutlineStyle(java.lang.String outlineStyle)` See the outline-style property definition in CSS2.
`void` | `setOutlineWidth(java.lang.String outlineWidth)` See the outline-width property definition in CSS2.
`void` | `setOverflow(java.lang.String overflow)` See the overflow property definition in CSS2.
`void` | `setPadding(java.lang.String padding)` See the padding property definition in CSS2.
`void` | `setPaddingBottom(java.lang.String paddingBottom)` See the padding-bottom property definition in CSS2.
`void` | `setPaddingLeft(java.lang.String paddingLeft)` See the padding-left property definition in CSS2.
`void` | `setPaddingRight(java.lang.String paddingRight)` See the padding-right property definition in CSS2.
`void` | `setPaddingTop(java.lang.String paddingTop)` See the padding-top property definition in CSS2.
`void` | `setPage(java.lang.String page)` See the page property definition in CSS2.
`void` | `setPageBreakAfter(java.lang.String pageBreakAfter)` See the page-break-after property definition in CSS2.
`void` | `setPageBreakBefore(java.lang.String pageBreakBefore)` See the page-break-before property definition in CSS2.
`void` | `setPageBreakInside(java.lang.String pageBreakInside)` See the page-break-inside property definition in CSS2.
`void` | `setPause(java.lang.String pause)` See the pause property definition in CSS2.
`void` | `setPauseAfter(java.lang.String pauseAfter)` See the pause-after property definition in CSS2.
`void` | `setPauseBefore(java.lang.String pauseBefore)` See the pause-before property definition in CSS2.
`void` | `setPitch(java.lang.String pitch)` See the pitch property definition in CSS2.
`void` | `setPitchRange(java.lang.String pitchRange)` See the pitch-range property definition in CSS2.
`void` | `setPlayDuring(java.lang.String playDuring)` See the play-during property definition in CSS2.
`void` | `setPosition(java.lang.String position)` See the position property definition in CSS2.
`void` | `setQuotes(java.lang.String quotes)` See the quotes property definition in CSS2.
`void` | `setRichness(java.lang.String richness)` See the richness property definition in CSS2.
`void` | `setRight(java.lang.String right)` See the right property definition in CSS2.
`void` | `setSize(java.lang.String size)` See the size property definition in CSS2.
`void` | `setSpeak(java.lang.String speak)` See the speak property definition in CSS2.
`void` | `setSpeakHeader(java.lang.String speakHeader)` See the speak-header property definition in CSS2.
`void` | `setSpeakNumeral(java.lang.String speakNumeral)` See the speak-numeral property definition in CSS2.
`void` | `setSpeakPunctuation(java.lang.String speakPunctuation)` See the speak-punctuation property definition in CSS2.
`void` | `setSpeechRate(java.lang.String speechRate)` See the speech-rate property definition in CSS2.
`void` | `setStress(java.lang.String stress)` See the stress property definition in CSS2.
`void` | `setTableLayout(java.lang.String tableLayout)` See the table-layout property definition in CSS2.
`void` | `setTextAlign(java.lang.String textAlign)` See the text-align property definition in CSS2.
`void` | `setTextDecoration(java.lang.String textDecoration)` See the text-decoration property definition in CSS2.
`void` | `setTextIndent(java.lang.String textIndent)` See the text-indent property definition in CSS2.
`void` | `setTextShadow(java.lang.String textShadow)` See the text-shadow property definition in CSS2.
`void` | `setTextTransform(java.lang.String textTransform)` See the text-transform property definition in CSS2.
`void` | `setTop(java.lang.String top)` See the top property definition in CSS2.
`void` | `setUnicodeBidi(java.lang.String unicodeBidi)` See the unicode-bidi property definition in CSS2.
`void` | `setVerticalAlign(java.lang.String verticalAlign)` See the vertical-align property definition in CSS2.
`void` | `setVisibility(java.lang.String visibility)` See the visibility property definition in CSS2.
`void` | `setVoiceFamily(java.lang.String voiceFamily)` See the voice-family property definition in CSS2.
`void` | `setVolume(java.lang.String volume)` See the volume property definition in CSS2.
`void` | `setWhiteSpace(java.lang.String whiteSpace)` See the white-space property definition in CSS2.
`void` | `setWidows(java.lang.String widows)` See the widows property definition in CSS2.
`void` | `setWidth(java.lang.String width)` See the width property definition in CSS2.
`void` | `setWordSpacing(java.lang.String wordSpacing)` See the word-spacing property definition in CSS2.
`void` | `setZIndex(java.lang.String zIndex)` See the z-index property definition in CSS2.

Method Detail

### getAzimuth

    public java.lang.String getAzimuth()

  See the azimuth property definition in CSS2.

### setAzimuth

    public void setAzimuth(java.lang.String azimuth)
                    throws DOMException

  See the azimuth property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackground

    public java.lang.String getBackground()

  See the background property definition in CSS2.

### setBackground

    public void setBackground(java.lang.String background)
                       throws DOMException

  See the background property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackgroundAttachment

    public java.lang.String getBackgroundAttachment()

  See the background-attachment property definition in CSS2.

### setBackgroundAttachment

    public void setBackgroundAttachment(java.lang.String backgroundAttachment)
                                 throws DOMException

  See the background-attachment property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackgroundColor

    public java.lang.String getBackgroundColor()

  See the background-color property definition in CSS2.

### setBackgroundColor

    public void setBackgroundColor(java.lang.String backgroundColor)
                            throws DOMException

  See the background-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackgroundImage

    public java.lang.String getBackgroundImage()

  See the background-image property definition in CSS2.

### setBackgroundImage

    public void setBackgroundImage(java.lang.String backgroundImage)
                            throws DOMException

  See the background-image property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackgroundPosition

    public java.lang.String getBackgroundPosition()

  See the background-position property definition in CSS2.

### setBackgroundPosition

    public void setBackgroundPosition(java.lang.String backgroundPosition)
                               throws DOMException

  See the background-position property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBackgroundRepeat

    public java.lang.String getBackgroundRepeat()

  See the background-repeat property definition in CSS2.

### setBackgroundRepeat

    public void setBackgroundRepeat(java.lang.String backgroundRepeat)
                             throws DOMException

  See the background-repeat property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorder

    public java.lang.String getBorder()

  See the border property definition in CSS2.

### setBorder

    public void setBorder(java.lang.String border)
                   throws DOMException

  See the border property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderCollapse

    public java.lang.String getBorderCollapse()

  See the border-collapse property definition in CSS2.

### setBorderCollapse

    public void setBorderCollapse(java.lang.String borderCollapse)
                           throws DOMException

  See the border-collapse property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderColor

    public java.lang.String getBorderColor()

  See the border-color property definition in CSS2.

### setBorderColor

    public void setBorderColor(java.lang.String borderColor)
                        throws DOMException

  See the border-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderSpacing

    public java.lang.String getBorderSpacing()

  See the border-spacing property definition in CSS2.

### setBorderSpacing

    public void setBorderSpacing(java.lang.String borderSpacing)
                          throws DOMException

  See the border-spacing property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderStyle

    public java.lang.String getBorderStyle()

  See the border-style property definition in CSS2.

### setBorderStyle

    public void setBorderStyle(java.lang.String borderStyle)
                        throws DOMException

  See the border-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderTop

    public java.lang.String getBorderTop()

  See the border-top property definition in CSS2.

### setBorderTop

    public void setBorderTop(java.lang.String borderTop)
                      throws DOMException

  See the border-top property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderRight

    public java.lang.String getBorderRight()

  See the border-right property definition in CSS2.

### setBorderRight

    public void setBorderRight(java.lang.String borderRight)
                        throws DOMException

  See the border-right property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderBottom

    public java.lang.String getBorderBottom()

  See the border-bottom property definition in CSS2.

### setBorderBottom

    public void setBorderBottom(java.lang.String borderBottom)
                         throws DOMException

  See the border-bottom property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderLeft

    public java.lang.String getBorderLeft()

  See the border-left property definition in CSS2.

### setBorderLeft

    public void setBorderLeft(java.lang.String borderLeft)
                       throws DOMException

  See the border-left property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderTopColor

    public java.lang.String getBorderTopColor()

  See the border-top-color property definition in CSS2.

### setBorderTopColor

    public void setBorderTopColor(java.lang.String borderTopColor)
                           throws DOMException

  See the border-top-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderRightColor

    public java.lang.String getBorderRightColor()

  See the border-right-color property definition in CSS2.

### setBorderRightColor

    public void setBorderRightColor(java.lang.String borderRightColor)
                             throws DOMException

  See the border-right-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderBottomColor

    public java.lang.String getBorderBottomColor()

  See the border-bottom-color property definition in CSS2.

### setBorderBottomColor

    public void setBorderBottomColor(java.lang.String borderBottomColor)
                              throws DOMException

  See the border-bottom-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderLeftColor

    public java.lang.String getBorderLeftColor()

  See the border-left-color property definition in CSS2.

### setBorderLeftColor

    public void setBorderLeftColor(java.lang.String borderLeftColor)
                            throws DOMException

  See the border-left-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderTopStyle

    public java.lang.String getBorderTopStyle()

  See the border-top-style property definition in CSS2.

### setBorderTopStyle

    public void setBorderTopStyle(java.lang.String borderTopStyle)
                           throws DOMException

  See the border-top-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderRightStyle

    public java.lang.String getBorderRightStyle()

  See the border-right-style property definition in CSS2.

### setBorderRightStyle

    public void setBorderRightStyle(java.lang.String borderRightStyle)
                             throws DOMException

  See the border-right-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderBottomStyle

    public java.lang.String getBorderBottomStyle()

  See the border-bottom-style property definition in CSS2.

### setBorderBottomStyle

    public void setBorderBottomStyle(java.lang.String borderBottomStyle)
                              throws DOMException

  See the border-bottom-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderLeftStyle

    public java.lang.String getBorderLeftStyle()

  See the border-left-style property definition in CSS2.

### setBorderLeftStyle

    public void setBorderLeftStyle(java.lang.String borderLeftStyle)
                            throws DOMException

  See the border-left-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderTopWidth

    public java.lang.String getBorderTopWidth()

  See the border-top-width property definition in CSS2.

### setBorderTopWidth

    public void setBorderTopWidth(java.lang.String borderTopWidth)
                           throws DOMException

  See the border-top-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderRightWidth

    public java.lang.String getBorderRightWidth()

  See the border-right-width property definition in CSS2.

### setBorderRightWidth

    public void setBorderRightWidth(java.lang.String borderRightWidth)
                             throws DOMException

  See the border-right-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderBottomWidth

    public java.lang.String getBorderBottomWidth()

  See the border-bottom-width property definition in CSS2.

### setBorderBottomWidth

    public void setBorderBottomWidth(java.lang.String borderBottomWidth)
                              throws DOMException

  See the border-bottom-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderLeftWidth

    public java.lang.String getBorderLeftWidth()

  See the border-left-width property definition in CSS2.

### setBorderLeftWidth

    public void setBorderLeftWidth(java.lang.String borderLeftWidth)
                            throws DOMException

  See the border-left-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBorderWidth

    public java.lang.String getBorderWidth()

  See the border-width property definition in CSS2.

### setBorderWidth

    public void setBorderWidth(java.lang.String borderWidth)
                        throws DOMException

  See the border-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getBottom

    public java.lang.String getBottom()

  See the bottom property definition in CSS2.

### setBottom

    public void setBottom(java.lang.String bottom)
                   throws DOMException

  See the bottom property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCaptionSide

    public java.lang.String getCaptionSide()

  See the caption-side property definition in CSS2.

### setCaptionSide

    public void setCaptionSide(java.lang.String captionSide)
                        throws DOMException

  See the caption-side property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getClear

    public java.lang.String getClear()

  See the clear property definition in CSS2.

### setClear

    public void setClear(java.lang.String clear)
                  throws DOMException

  See the clear property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getClip

    public java.lang.String getClip()

  See the clip property definition in CSS2.

### setClip

    public void setClip(java.lang.String clip)
                 throws DOMException

  See the clip property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getColor

    public java.lang.String getColor()

  See the color property definition in CSS2.

### setColor

    public void setColor(java.lang.String color)
                  throws DOMException

  See the color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getContent

    public java.lang.String getContent()

  See the content property definition in CSS2.

### setContent

    public void setContent(java.lang.String content)
                    throws DOMException

  See the content property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCounterIncrement

    public java.lang.String getCounterIncrement()

  See the counter-increment property definition in CSS2.

### setCounterIncrement

    public void setCounterIncrement(java.lang.String counterIncrement)
                             throws DOMException

  See the counter-increment property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCounterReset

    public java.lang.String getCounterReset()

  See the counter-reset property definition in CSS2.

### setCounterReset

    public void setCounterReset(java.lang.String counterReset)
                         throws DOMException

  See the counter-reset property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCue

    public java.lang.String getCue()

  See the cue property definition in CSS2.

### setCue

    public void setCue(java.lang.String cue)
                throws DOMException

  See the cue property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCueAfter

    public java.lang.String getCueAfter()

  See the cue-after property definition in CSS2.

### setCueAfter

    public void setCueAfter(java.lang.String cueAfter)
                     throws DOMException

  See the cue-after property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCueBefore

    public java.lang.String getCueBefore()

  See the cue-before property definition in CSS2.

### setCueBefore

    public void setCueBefore(java.lang.String cueBefore)
                      throws DOMException

  See the cue-before property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCursor

    public java.lang.String getCursor()

  See the cursor property definition in CSS2.

### setCursor

    public void setCursor(java.lang.String cursor)
                   throws DOMException

  See the cursor property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getDirection

    public java.lang.String getDirection()

  See the direction property definition in CSS2.

### setDirection

    public void setDirection(java.lang.String direction)
                      throws DOMException

  See the direction property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getDisplay

    public java.lang.String getDisplay()

  See the display property definition in CSS2.

### setDisplay

    public void setDisplay(java.lang.String display)
                    throws DOMException

  See the display property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getElevation

    public java.lang.String getElevation()

  See the elevation property definition in CSS2.

### setElevation

    public void setElevation(java.lang.String elevation)
                      throws DOMException

  See the elevation property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getEmptyCells

    public java.lang.String getEmptyCells()

  See the empty-cells property definition in CSS2.

### setEmptyCells

    public void setEmptyCells(java.lang.String emptyCells)
                       throws DOMException

  See the empty-cells property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getCssFloat

    public java.lang.String getCssFloat()

  See the float property definition in CSS2.

### setCssFloat

    public void setCssFloat(java.lang.String cssFloat)
                     throws DOMException

  See the float property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFont

    public java.lang.String getFont()

  See the font property definition in CSS2.

### setFont

    public void setFont(java.lang.String font)
                 throws DOMException

  See the font property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontFamily

    public java.lang.String getFontFamily()

  See the font-family property definition in CSS2.

### setFontFamily

    public void setFontFamily(java.lang.String fontFamily)
                       throws DOMException

  See the font-family property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontSize

    public java.lang.String getFontSize()

  See the font-size property definition in CSS2.

### setFontSize

    public void setFontSize(java.lang.String fontSize)
                     throws DOMException

  See the font-size property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontSizeAdjust

    public java.lang.String getFontSizeAdjust()

  See the font-size-adjust property definition in CSS2.

### setFontSizeAdjust

    public void setFontSizeAdjust(java.lang.String fontSizeAdjust)
                           throws DOMException

  See the font-size-adjust property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontStretch

    public java.lang.String getFontStretch()

  See the font-stretch property definition in CSS2.

### setFontStretch

    public void setFontStretch(java.lang.String fontStretch)
                        throws DOMException

  See the font-stretch property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontStyle

    public java.lang.String getFontStyle()

  See the font-style property definition in CSS2.

### setFontStyle

    public void setFontStyle(java.lang.String fontStyle)
                      throws DOMException

  See the font-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontVariant

    public java.lang.String getFontVariant()

  See the font-variant property definition in CSS2.

### setFontVariant

    public void setFontVariant(java.lang.String fontVariant)
                        throws DOMException

  See the font-variant property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getFontWeight

    public java.lang.String getFontWeight()

  See the font-weight property definition in CSS2.

### setFontWeight

    public void setFontWeight(java.lang.String fontWeight)
                       throws DOMException

  See the font-weight property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getHeight

    public java.lang.String getHeight()

  See the height property definition in CSS2.

### setHeight

    public void setHeight(java.lang.String height)
                   throws DOMException

  See the height property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getLeft

    public java.lang.String getLeft()

  See the left property definition in CSS2.

### setLeft

    public void setLeft(java.lang.String left)
                 throws DOMException

  See the left property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getLetterSpacing

    public java.lang.String getLetterSpacing()

  See the letter-spacing property definition in CSS2.

### setLetterSpacing

    public void setLetterSpacing(java.lang.String letterSpacing)
                          throws DOMException

  See the letter-spacing property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getLineHeight

    public java.lang.String getLineHeight()

  See the line-height property definition in CSS2.

### setLineHeight

    public void setLineHeight(java.lang.String lineHeight)
                       throws DOMException

  See the line-height property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getListStyle

    public java.lang.String getListStyle()

  See the list-style property definition in CSS2.

### setListStyle

    public void setListStyle(java.lang.String listStyle)
                      throws DOMException

  See the list-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getListStyleImage

    public java.lang.String getListStyleImage()

  See the list-style-image property definition in CSS2.

### setListStyleImage

    public void setListStyleImage(java.lang.String listStyleImage)
                           throws DOMException

  See the list-style-image property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getListStylePosition

    public java.lang.String getListStylePosition()

  See the list-style-position property definition in CSS2.

### setListStylePosition

    public void setListStylePosition(java.lang.String listStylePosition)
                              throws DOMException

  See the list-style-position property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getListStyleType

    public java.lang.String getListStyleType()

  See the list-style-type property definition in CSS2.

### setListStyleType

    public void setListStyleType(java.lang.String listStyleType)
                          throws DOMException

  See the list-style-type property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMargin

    public java.lang.String getMargin()

  See the margin property definition in CSS2.

### setMargin

    public void setMargin(java.lang.String margin)
                   throws DOMException

  See the margin property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarginTop

    public java.lang.String getMarginTop()

  See the margin-top property definition in CSS2.

### setMarginTop

    public void setMarginTop(java.lang.String marginTop)
                      throws DOMException

  See the margin-top property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarginRight

    public java.lang.String getMarginRight()

  See the margin-right property definition in CSS2.

### setMarginRight

    public void setMarginRight(java.lang.String marginRight)
                        throws DOMException

  See the margin-right property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarginBottom

    public java.lang.String getMarginBottom()

  See the margin-bottom property definition in CSS2.

### setMarginBottom

    public void setMarginBottom(java.lang.String marginBottom)
                         throws DOMException

  See the margin-bottom property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarginLeft

    public java.lang.String getMarginLeft()

  See the margin-left property definition in CSS2.

### setMarginLeft

    public void setMarginLeft(java.lang.String marginLeft)
                       throws DOMException

  See the margin-left property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarkerOffset

    public java.lang.String getMarkerOffset()

  See the marker-offset property definition in CSS2.

### setMarkerOffset

    public void setMarkerOffset(java.lang.String markerOffset)
                         throws DOMException

  See the marker-offset property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMarks

    public java.lang.String getMarks()

  See the marks property definition in CSS2.

### setMarks

    public void setMarks(java.lang.String marks)
                  throws DOMException

  See the marks property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMaxHeight

    public java.lang.String getMaxHeight()

  See the max-height property definition in CSS2.

### setMaxHeight

    public void setMaxHeight(java.lang.String maxHeight)
                      throws DOMException

  See the max-height property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMaxWidth

    public java.lang.String getMaxWidth()

  See the max-width property definition in CSS2.

### setMaxWidth

    public void setMaxWidth(java.lang.String maxWidth)
                     throws DOMException

  See the max-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMinHeight

    public java.lang.String getMinHeight()

  See the min-height property definition in CSS2.

### setMinHeight

    public void setMinHeight(java.lang.String minHeight)
                      throws DOMException

  See the min-height property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getMinWidth

    public java.lang.String getMinWidth()

  See the min-width property definition in CSS2.

### setMinWidth

    public void setMinWidth(java.lang.String minWidth)
                     throws DOMException

  See the min-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOrphans

    public java.lang.String getOrphans()

  See the orphans property definition in CSS2.

### setOrphans

    public void setOrphans(java.lang.String orphans)
                    throws DOMException

  See the orphans property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOutline

    public java.lang.String getOutline()

  See the outline property definition in CSS2.

### setOutline

    public void setOutline(java.lang.String outline)
                    throws DOMException

  See the outline property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOutlineColor

    public java.lang.String getOutlineColor()

  See the outline-color property definition in CSS2.

### setOutlineColor

    public void setOutlineColor(java.lang.String outlineColor)
                         throws DOMException

  See the outline-color property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOutlineStyle

    public java.lang.String getOutlineStyle()

  See the outline-style property definition in CSS2.

### setOutlineStyle

    public void setOutlineStyle(java.lang.String outlineStyle)
                         throws DOMException

  See the outline-style property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOutlineWidth

    public java.lang.String getOutlineWidth()

  See the outline-width property definition in CSS2.

### setOutlineWidth

    public void setOutlineWidth(java.lang.String outlineWidth)
                         throws DOMException

  See the outline-width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getOverflow

    public java.lang.String getOverflow()

  See the overflow property definition in CSS2.

### setOverflow

    public void setOverflow(java.lang.String overflow)
                     throws DOMException

  See the overflow property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPadding

    public java.lang.String getPadding()

  See the padding property definition in CSS2.

### setPadding

    public void setPadding(java.lang.String padding)
                    throws DOMException

  See the padding property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPaddingTop

    public java.lang.String getPaddingTop()

  See the padding-top property definition in CSS2.

### setPaddingTop

    public void setPaddingTop(java.lang.String paddingTop)
                       throws DOMException

  See the padding-top property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPaddingRight

    public java.lang.String getPaddingRight()

  See the padding-right property definition in CSS2.

### setPaddingRight

    public void setPaddingRight(java.lang.String paddingRight)
                         throws DOMException

  See the padding-right property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPaddingBottom

    public java.lang.String getPaddingBottom()

  See the padding-bottom property definition in CSS2.

### setPaddingBottom

    public void setPaddingBottom(java.lang.String paddingBottom)
                          throws DOMException

  See the padding-bottom property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPaddingLeft

    public java.lang.String getPaddingLeft()

  See the padding-left property definition in CSS2.

### setPaddingLeft

    public void setPaddingLeft(java.lang.String paddingLeft)
                        throws DOMException

  See the padding-left property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPage

    public java.lang.String getPage()

  See the page property definition in CSS2.

### setPage

    public void setPage(java.lang.String page)
                 throws DOMException

  See the page property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPageBreakAfter

    public java.lang.String getPageBreakAfter()

  See the page-break-after property definition in CSS2.

### setPageBreakAfter

    public void setPageBreakAfter(java.lang.String pageBreakAfter)
                           throws DOMException

  See the page-break-after property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPageBreakBefore

    public java.lang.String getPageBreakBefore()

  See the page-break-before property definition in CSS2.

### setPageBreakBefore

    public void setPageBreakBefore(java.lang.String pageBreakBefore)
                            throws DOMException

  See the page-break-before property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPageBreakInside

    public java.lang.String getPageBreakInside()

  See the page-break-inside property definition in CSS2.

### setPageBreakInside

    public void setPageBreakInside(java.lang.String pageBreakInside)
                            throws DOMException

  See the page-break-inside property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPause

    public java.lang.String getPause()

  See the pause property definition in CSS2.

### setPause

    public void setPause(java.lang.String pause)
                  throws DOMException

  See the pause property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPauseAfter

    public java.lang.String getPauseAfter()

  See the pause-after property definition in CSS2.

### setPauseAfter

    public void setPauseAfter(java.lang.String pauseAfter)
                       throws DOMException

  See the pause-after property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPauseBefore

    public java.lang.String getPauseBefore()

  See the pause-before property definition in CSS2.

### setPauseBefore

    public void setPauseBefore(java.lang.String pauseBefore)
                        throws DOMException

  See the pause-before property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPitch

    public java.lang.String getPitch()

  See the pitch property definition in CSS2.

### setPitch

    public void setPitch(java.lang.String pitch)
                  throws DOMException

  See the pitch property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPitchRange

    public java.lang.String getPitchRange()

  See the pitch-range property definition in CSS2.

### setPitchRange

    public void setPitchRange(java.lang.String pitchRange)
                       throws DOMException

  See the pitch-range property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPlayDuring

    public java.lang.String getPlayDuring()

  See the play-during property definition in CSS2.

### setPlayDuring

    public void setPlayDuring(java.lang.String playDuring)
                       throws DOMException

  See the play-during property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getPosition

    public java.lang.String getPosition()

  See the position property definition in CSS2.

### setPosition

    public void setPosition(java.lang.String position)
                     throws DOMException

  See the position property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getQuotes

    public java.lang.String getQuotes()

  See the quotes property definition in CSS2.

### setQuotes

    public void setQuotes(java.lang.String quotes)
                   throws DOMException

  See the quotes property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getRichness

    public java.lang.String getRichness()

  See the richness property definition in CSS2.

### setRichness

    public void setRichness(java.lang.String richness)
                     throws DOMException

  See the richness property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getRight

    public java.lang.String getRight()

  See the right property definition in CSS2.

### setRight

    public void setRight(java.lang.String right)
                  throws DOMException

  See the right property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSize

    public java.lang.String getSize()

  See the size property definition in CSS2.

### setSize

    public void setSize(java.lang.String size)
                 throws DOMException

  See the size property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSpeak

    public java.lang.String getSpeak()

  See the speak property definition in CSS2.

### setSpeak

    public void setSpeak(java.lang.String speak)
                  throws DOMException

  See the speak property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSpeakHeader

    public java.lang.String getSpeakHeader()

  See the speak-header property definition in CSS2.

### setSpeakHeader

    public void setSpeakHeader(java.lang.String speakHeader)
                        throws DOMException

  See the speak-header property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSpeakNumeral

    public java.lang.String getSpeakNumeral()

  See the speak-numeral property definition in CSS2.

### setSpeakNumeral

    public void setSpeakNumeral(java.lang.String speakNumeral)
                         throws DOMException

  See the speak-numeral property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSpeakPunctuation

    public java.lang.String getSpeakPunctuation()

  See the speak-punctuation property definition in CSS2.

### setSpeakPunctuation

    public void setSpeakPunctuation(java.lang.String speakPunctuation)
                             throws DOMException

  See the speak-punctuation property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getSpeechRate

    public java.lang.String getSpeechRate()

  See the speech-rate property definition in CSS2.

### setSpeechRate

    public void setSpeechRate(java.lang.String speechRate)
                       throws DOMException

  See the speech-rate property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getStress

    public java.lang.String getStress()

  See the stress property definition in CSS2.

### setStress

    public void setStress(java.lang.String stress)
                   throws DOMException

  See the stress property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTableLayout

    public java.lang.String getTableLayout()

  See the table-layout property definition in CSS2.

### setTableLayout

    public void setTableLayout(java.lang.String tableLayout)
                        throws DOMException

  See the table-layout property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTextAlign

    public java.lang.String getTextAlign()

  See the text-align property definition in CSS2.

### setTextAlign

    public void setTextAlign(java.lang.String textAlign)
                      throws DOMException

  See the text-align property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTextDecoration

    public java.lang.String getTextDecoration()

  See the text-decoration property definition in CSS2.

### setTextDecoration

    public void setTextDecoration(java.lang.String textDecoration)
                           throws DOMException

  See the text-decoration property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTextIndent

    public java.lang.String getTextIndent()

  See the text-indent property definition in CSS2.

### setTextIndent

    public void setTextIndent(java.lang.String textIndent)
                       throws DOMException

  See the text-indent property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTextShadow

    public java.lang.String getTextShadow()

  See the text-shadow property definition in CSS2.

### setTextShadow

    public void setTextShadow(java.lang.String textShadow)
                       throws DOMException

  See the text-shadow property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTextTransform

    public java.lang.String getTextTransform()

  See the text-transform property definition in CSS2.

### setTextTransform

    public void setTextTransform(java.lang.String textTransform)
                          throws DOMException

  See the text-transform property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getTop

    public java.lang.String getTop()

  See the top property definition in CSS2.

### setTop

    public void setTop(java.lang.String top)
                throws DOMException

  See the top property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getUnicodeBidi

    public java.lang.String getUnicodeBidi()

  See the unicode-bidi property definition in CSS2.

### setUnicodeBidi

    public void setUnicodeBidi(java.lang.String unicodeBidi)
                        throws DOMException

  See the unicode-bidi property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  See the vertical-align property definition in CSS2.

### setVerticalAlign

    public void setVerticalAlign(java.lang.String verticalAlign)
                          throws DOMException

  See the vertical-align property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getVisibility

    public java.lang.String getVisibility()

  See the visibility property definition in CSS2.

### setVisibility

    public void setVisibility(java.lang.String visibility)
                       throws DOMException

  See the visibility property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getVoiceFamily

    public java.lang.String getVoiceFamily()

  See the voice-family property definition in CSS2.

### setVoiceFamily

    public void setVoiceFamily(java.lang.String voiceFamily)
                        throws DOMException

  See the voice-family property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getVolume

    public java.lang.String getVolume()

  See the volume property definition in CSS2.

### setVolume

    public void setVolume(java.lang.String volume)
                   throws DOMException

  See the volume property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getWhiteSpace

    public java.lang.String getWhiteSpace()

  See the white-space property definition in CSS2.

### setWhiteSpace

    public void setWhiteSpace(java.lang.String whiteSpace)
                       throws DOMException

  See the white-space property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getWidows

    public java.lang.String getWidows()

  See the widows property definition in CSS2.

### setWidows

    public void setWidows(java.lang.String widows)
                   throws DOMException

  See the widows property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getWidth

    public java.lang.String getWidth()

  See the width property definition in CSS2.

### setWidth

    public void setWidth(java.lang.String width)
                  throws DOMException

  See the width property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getWordSpacing

    public java.lang.String getWordSpacing()

  See the word-spacing property definition in CSS2.

### setWordSpacing

    public void setWordSpacing(java.lang.String wordSpacing)
                        throws DOMException

  See the word-spacing property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### getZIndex

    public java.lang.String getZIndex()

  See the z-index property definition in CSS2.

### setZIndex

    public void setZIndex(java.lang.String zIndex)
                   throws DOMException

  See the z-index property definition in CSS2.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD